<div class="col-8 offset-2 mt-3">
    <h2>{{pageTitle}}</h2>
    <hr>
    <div class="card col-12 mt-2" *ngFor="let user of users">
        <div class="card-body">
          <h5 class="card-title">
              <img src="{{url + 'user/get-avatar/' + user.followed.image}}" class="nav-avatar" *ngIf="user && user.followed.image">
              <img src="{{url + 'user/get-avatar/default-profile-picture.png'}}" class="nav-avatar" *ngIf="user && !user.followed.image">
              <a [routerLink]="['/perfil-usuario',user.followed.id]"> {{user.followed.name + ' ' + user.followed.surname}}</a>
          </h5>
          <p class="card-text">
            <span class="font-weight-bold">Nickname:</span> {{user.followed.nick}}
            <br>
            <span class="font-weight-bold">E-mail:</span> {{user.followed.email}}
          </p>
              <button class="btn btn-danger" (click)="deleteFollow(user.followed.id)">Dejar de Seguir</button>
              <button class="btn btn-success ml-4" (click)="showChat(user.followed.id)" >Ir a Chat</button>
        </div>
        <div class="col-8 mx-auto text-center alert-dismissible fade show alert" [ngClass]="followMessage=='success'? 'alert-success':'alert-warning'" *ngIf="user.followed.id==followId">
            {{followMessage}}
        </div>
      </div>

</div>
